Bug 1260348 - [abrt] blender: ed_preview_draw_rect(): blender killed by SIGSEGV
[abrt] blender: ed_preview_draw_rect(): blender killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a225e3c24153c3a65d99257e46a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 02:02 EDT by Brandon Amaro
Modified: 2016-07-19 13:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.28 KB, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: cgroup (284 bytes, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: core_backtrace (3.54 KB, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: dso_list (15.93 KB, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: environ (3.73 KB, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: maps (81.58 KB, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: mountinfo (3.57 KB, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: open_fds (942 bytes, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details
File: var_log_messages (250 bytes, text/plain)
2015-09-06 02:03 EDT, Brandon Amaro
no flags Details

  None (edit)
Description Brandon Amaro 2015-09-06 02:02:59 EDT
Description of problem:
I went to go open a file. Blender then crashed with no warning. This is the second time it has happened when I open a file. It did it earlier today as well.

Version-Release number of selected component:
blender-2.75-4.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        blender
crash_function: ed_preview_draw_rect
executable:     /usr/bin/blender
global_pid:     29101
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ed_preview_draw_rect at /usr/src/debug/blender-2.75/source/blender/editors/render/render_preview.c:565
 #1 ED_preview_draw at /usr/src/debug/blender-2.75/source/blender/editors/render/render_preview.c:616
 #2 widget_draw_extra_mask at /usr/src/debug/blender-2.75/source/blender/editors/interface/interface_widgets.c:3362
 #3 ui_draw_but at /usr/src/debug/blender-2.75/source/blender/editors/interface/interface_widgets.c:3743
 #4 UI_block_draw at /usr/src/debug/blender-2.75/source/blender/editors/interface/interface.c:1385
 #5 UI_panels_draw at /usr/src/debug/blender-2.75/source/blender/editors/interface/interface_panel.c:1045
 #6 ED_region_panels at /usr/src/debug/blender-2.75/source/blender/editors/screen/area.c:1944
 #7 buttons_main_area_draw at /usr/src/debug/blender-2.75/source/blender/editors/space_buttons/space_buttons.c:171
 #8 ED_region_do_draw at /usr/src/debug/blender-2.75/source/blender/editors/screen/area.c:517
 #9 wm_draw_update at /usr/src/debug/blender-2.75/source/blender/windowmanager/intern/wm_draw.c:640
Comment 1 Brandon Amaro 2015-09-06 02:03:03 EDT
Created attachment 1070631 [details]
File: backtrace
Comment 2 Brandon Amaro 2015-09-06 02:03:04 EDT
Created attachment 1070632 [details]
File: cgroup
Comment 3 Brandon Amaro 2015-09-06 02:03:04 EDT
Created attachment 1070633 [details]
File: core_backtrace
Comment 4 Brandon Amaro 2015-09-06 02:03:06 EDT
Created attachment 1070634 [details]
File: dso_list
Comment 5 Brandon Amaro 2015-09-06 02:03:07 EDT
Created attachment 1070635 [details]
File: environ
Comment 6 Brandon Amaro 2015-09-06 02:03:07 EDT
Created attachment 1070636 [details]
File: limits
Comment 7 Brandon Amaro 2015-09-06 02:03:11 EDT
Created attachment 1070637 [details]
File: maps
Comment 8 Brandon Amaro 2015-09-06 02:03:12 EDT
Created attachment 1070638 [details]
File: mountinfo
Comment 9 Brandon Amaro 2015-09-06 02:03:13 EDT
Created attachment 1070639 [details]
File: namespaces
Comment 10 Brandon Amaro 2015-09-06 02:03:14 EDT
Created attachment 1070640 [details]
File: open_fds
Comment 11 Brandon Amaro 2015-09-06 02:03:15 EDT
Created attachment 1070641 [details]
File: proc_pid_status
Comment 12 Brandon Amaro 2015-09-06 02:03:15 EDT
Created attachment 1070642 [details]
File: var_log_messages
Comment 13 Brandon Amaro 2015-10-09 19:12:20 EDT
Another user experienced a similar problem:

I was trying to open a file from Blender.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        blender
crash_function: ed_preview_draw_rect
executable:     /usr/bin/blender
global_pid:     5618
kernel:         4.1.7-200.fc22.x86_64
package:        blender-2.75-4.fc22
reason:         blender killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Brandon Amaro 2015-10-11 01:26:25 EDT
Another user experienced a similar problem:

I went to go open a file in Blender when it crashed with no warning. This is at least the second time this has happen to me in the past two days.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        blender
crash_function: ed_preview_draw_rect
executable:     /usr/bin/blender
global_pid:     21141
kernel:         4.1.8-200.fc22.x86_64
package:        blender-2.75-4.fc22
reason:         blender killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-07-19 13:47:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.